commit 0ef3a3d2f20497a76e0a76db8508fa59554c1656
Author: freddy77 <freddy77>
Date:   Mon Mar 16 20:46:20 2009 +0000

    fix redefinition

diff --git a/ChangeLog b/ChangeLog
index 55ac602..ddd8c48 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Mon Mar 16 21:46:05 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* win32/tds_sysdep_public.h:
+	- fix redefinition (due to change on Fri Feb 27 11:46:15 CET 2009)
+
 Mon Mar 16 13:18:31 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/common.c: disable buffering
 	* src/odbc/unittests/const_params.c: fix for MS ODBC
@@ -1405,4 +1409,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2750 2009/03/16 12:18:59 freddy77 Exp $
+$Id: ChangeLog,v 1.2751 2009/03/16 20:46:20 freddy77 Exp $
diff --git a/win32/tds_sysdep_public.h b/win32/tds_sysdep_public.h
index cc65242..e1f03f8 100644
--- a/win32/tds_sysdep_public.h
+++ b/win32/tds_sysdep_public.h
@@ -20,7 +20,7 @@
 #ifndef _tds_sysdep_public_h_
 #define _tds_sysdep_public_h_
 
-static char rcsid_tds_sysdep_public_h[] = "$Id: tds_sysdep_public.h,v 1.7 2008/11/25 22:58:29 jklowden Exp $";
+static char rcsid_tds_sysdep_public_h[] = "$Id: tds_sysdep_public.h,v 1.8 2009/03/16 20:46:20 freddy77 Exp $";
 static void *no_unused_tds_sysdep_public_h_warn[] = { rcsid_tds_sysdep_public_h, no_unused_tds_sysdep_public_h_warn };
 
 #ifdef __cplusplus
@@ -40,10 +40,6 @@ extern "C"
 #else
 #define tds_sysdep_intptr_type __int64	/* 64-bit int */
 #endif
-typedef SOCKET TDS_SYS_SOCKET;
-#ifndef TDS_IS_SOCKET_INVALID
-#define TDS_IS_SOCKET_INVALID(s) ((s) == INVALID_SOCKET)
-#endif
 
 #if !defined(MSDBLIB) && !defined(SYBDBLIB)
 #define SYBDBLIB 1

